1 - 1.0
get /v1/clusters/{cluster_id}/backup-histories
Description
List Backup Histories.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : | string | None |
| query | limit optional | Number of backup lists Example : | any of [integer, null] | None |
| query | page optional | Backup list page Example : | any of [integer, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | BackupHistoryListApiResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/backup-histories
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = mariadb 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"backup_end_at": "",
"backup_history_number": "",
"backup_size_gb": "",
"backup_start_at": "",
"backup_state": "",
"backup_state_detail": "",
"software_version": ""
}
],
"total_count": ""
}